package com.example.blu.toys.app;


import android.app.Application;
import android.util.DisplayMetrics;

import com.clj.fastble.BleManager;
import com.hjq.toast.ToastUtils;

public class App extends Application {


	public static App instance;
	//临时保存 需要登录才能访问的页面 在登录成功后跳转
	//屏幕宽高
	int screenWidth;
	int screenHeight;

	/**
	 * Activity 栈
	 */

	@Override
	public void onCreate() {
		super.onCreate();
		instance = this;
		//1、通过WindowManager获取
		DisplayMetrics dm = new DisplayMetrics();
		// 屏幕宽（像素，如：480px）
		screenWidth = dm.heightPixels;
		// 屏幕高（像素)
		screenHeight = dm.widthPixels;
		//LogUtil.init(BuildConfig.LOG_DEBUG);
		ToastUtils.init(this);


		BleManager.getInstance().init(this);
		BleManager.getInstance()
				.enableLog(true)
				.setReConnectCount(3, 5000)
				.setMaxConnectCount(7)
				.setConnectOverTime(50000)
				.setOperateTimeout(50000);


//		DoohanBle.getInstance().init(this);
//		DoohanBle.config().setScanTimeout(5000)//扫描超时时间，这里设置为永久扫描
//				.setConnectTimeout(10 * 1000)//连接超时时间
//				.setOperateTimeout(5 * 1000)//设置数据操作超时时间
//				.setConnectRetryCount(5)//设置连接失败重试次数
//				.setConnectRetryInterval(1000)//设置连接失败重试间隔时间
//				.setOperateRetryCount(3)//设置数据操作失败重试次数
//				.setOperateRetryInterval(1000)//设置数据操作失败重试间隔时间
//				.setServiceUUID("0000fff0-0000-1000-8000-00805f9b34fb")
//				.setNotifyUUID("0000fff4-0000-1000-8000-00805f9b34fb")
//				.setWriteUUID("0000fff3-0000-1000-8000-00805f9b34fb");


//		//蓝牙相关配置修改
//		ViseBle.config()
//				.setScanTimeout(-1)//扫描超时时间，这里设置为永久扫描
//				.setConnectTimeout(10 * 1000)//连接超时时间
//				.setOperateTimeout(5 * 1000)//设置数据操作超时时间
//				.setConnectRetryCount(3)//设置连接失败重试次数
//				.setConnectRetryInterval(1000)//设置连接失败重试间隔时间
//				.setOperateRetryCount(3)//设置数据操作失败重试次数
//				.setOperateRetryInterval(1000)//设置数据操作失败重试间隔时间
//				.setMaxConnectCount(3);//设置最大连接设备数量
////蓝牙信息初始化，全局唯一，必须在应用初始化时调用
//		ViseBle.getInstance().init(this);




	}

	public static App getInstance() {
		return instance;
	}

	public int getScreenWidth() {
		return screenWidth;
	}

	public int getScreenHeight() {
		return screenHeight;
	}

}
